  SUBROUTINE alloc_inter

!&E---------------------------------------------------------------------
!&E                 ***  ROUTINE alloc_inter  ***
!&E
!&E ** Purpose :
!&E
!&E ** Description :
!&E
!&E ** Called by :
!&E
!&E ** External calls :
!&E
!&E ** Used ij-arrays :
!&E
!&E ** Modified variables :
!&E
!&E ** Reference :
!&E
!&E ** History :
!&E       !
!&E
!&E---------------------------------------------------------------------
!! * Modules used
   USE comvars2d   ,ONLY : l_modele2d
   USE comcolig2d  ,ONLY : alloc_comcolig2d

   USE comcolig_mpi,ONLY : alloc_comcolig_mpi

   USE comcolig3d  ,ONLY : alloc_comcolig3d
   USE cometemp    ,ONLY : alloc_cometemp_beforestep
   IMPLICIT NONE

!! * Arguments

!! * Local declarations

!!----------------------------------------------------------------------
!! * Executable part
   CALL alloc_comcolig2d

   CALL alloc_comcolig_mpi

   CALL alloc_cometemp_beforestep
   IF(.NOT.l_modele2d) CALL alloc_comcolig3d

  END SUBROUTINE alloc_inter
